/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NUIITEMSCRIPTEVENT__
#define	__NUIITEMSCRIPTEVENT__


		#include "ui/ui_item_event_interface.h"


namespace GS {
	namespace S2D {

/*!
	@short	Item script event.
	@author	Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	ItemScriptEvent : public IItemEvent
{
virtual	void	OnSetup(Item *);
virtual	void	OnSetupDone(Item *);
virtual	void	OnReset(Item *);

virtual	void	OnActivate(Item *, bool activate);

virtual	void	OnPhysicStep(Item *, bool step_taken);

virtual	void	OnUpdate(Item *);
virtual	void	OnDelete(Item *);

virtual	void	OnRenderDone(Item *);
virtual	void	OnRenderUser(Item *);

// virtual	void	OnCollision(Item *, Item *with, const nCollisionPair &);
};

	}
}


#endif	// __NUIITEMSCRIPTEVENT__
